Page MenuHomePhabricator

[Docs][OpenCL] Release 10.0 notes for OpenCL
ClosedPublic

Authored by Anastasia on Feb 25 2020, 8:35 AM.

Diff Detail

Event Timeline

Anastasia created this revision.Feb 25 2020, 8:35 AM
Anastasia marked an inline comment as done.
Anastasia added inline comments.
clang/docs/ReleaseNotes.rst
328

@svenvh Do you think we should add a sentence to summarize what is the current situation with this in rel 10?

hans added a comment.Feb 26 2020, 12:58 AM

Thanks for writing notes! Go ahead and push directly to the branch when you're ready.

clang/docs/ReleaseNotes.rst
287–312

For the formatting to work, I think the number of dashes need to match the length of the previous line here.

svenvh added inline comments.Feb 26 2020, 3:42 AM
clang/docs/ReleaseNotes.rst
316

Suggesting to move this item into the new section I suggested below.

328

Maybe rewrite the whole section (starting from "Changes to builtin-function inclusion with TableGen") as follows:

OpenCL builtin functions:
- The majority of the OpenCL builtin functions are now available through the experimental `-fdeclare-opencl-builtins` option.
- Align the `enqueue_marker` declaration in `opencl-c.h` to the OpenCL spec.
- Avoid a void pointer cast in the `CLK_NULL_EVENT` definition.
Anastasia updated this revision to Diff 246774.Feb 26 2020, 9:50 AM

Addressed comments from Hans and Sven.

svenvh accepted this revision.Feb 26 2020, 9:56 AM

LGTM

This revision is now accepted and ready to land.Feb 26 2020, 9:56 AM

@hans, what is the current process for committing to the release branch? Would you be able to commit this or would you prefer that I commit myself?

Thank you!

Thanks for writing notes! Go ahead and push directly to the branch when you're ready.

Sorry. Missed this somehow!

hans added a comment.Feb 27 2020, 3:53 AM

@hans, what is the current process for committing to the release branch? Would you be able to commit this or would you prefer that I commit myself?

Thank you!

You can just push it to the branch when it's ready, or let me know and I can do it.

svenvh closed this revision.Feb 27 2020, 8:41 AM

Committed in e5cb70267e7.